Problem with Installing SiteWhere Persistence


(Veronika Müller) #1

I’m trying to run the addon SiteWhere Persistence because I’d like to use it’s CEP-Capabilities.
I downloaded the .jar form SiteWhere Tutorial and copied it into usr/share/openhab2/addons. Then I tried to start it via the Karaf Console but I’m getting an error:

Can anybody tell me how to get this to work?


(Markus Storm) #2

As you can see, your jar is 3 years old.
This likely won’t work, you would need an up to date binding jar, and preferrably one for openHAB 2.


(Veronika Müller) #3

Thanks for your reply :slight_smile: I found a newer version of the SiteWhere Binding but it’s still not working:

Do you have an idea where I could find the latest version of that Binding? Or is it possible that SiteWhere is not usable with OpenHAB2 ?


(Markus Storm) #4

It’s obviously an openHAB1 addon. You could try setting legacy = true in /etc/openhab2/services/addons.cfg but I doubt it helps, and if it does not then sorry no it won’t work.


(Markus Storm) #5

does tagging my post as the solution mean it works with that legacy setting ?


(Veronika Müller) #6

No unfortuneatly it means that I tried to change the legacy setting but it’s still not working so I guess the second part of your answer is the solution: it’s not working anymore :sweat_smile:


(Once4all) #7

Hi, I’m the newbie to openHab.
I’m trying to modify this StieWhere Persistence using the org.openhab.core.compat1x-2.4.0 jar.
But I’m getting this error

Can you tell me how to get this work?Thanks!